Status: Resolved Priority: Should have
Author: Helmut Hummel Category:
Created: 2014-06-16 Assigned To:
Updated: 2014-06-17 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: The property newSessionID is used in a wrong context in AbstractUserAuthentication
Description

The fix for #57751 was to force the cookie to be set again although it was
deleted in the same request again (when an anonymous session was already present), but setting the internal property
->newSessionID to true (later in the request in ->setSessionCookie() it is checked whether a cookie needs to be set).

The fix introduced for #58713 tackled the issue that the cookie is unexpectedly deleted
when an anonymous session is present and a login attempt failed.
By fixing #58713 the issue in #57751 is also fixed, so we do not need to abuse the 
->newSessionID to force the cookie to be set and can rely on this property only to be set
when actually a new session ID is generated.

Related issues:
related to Core - Bug # 57751: Felogin session not set Resolved 2014-04-08
related to Core - Bug # 58713: Failed feuser login removes the existing sessi... Resolved 2014-05-12

Associated revisions
Revision df11f015 - 2014-06-17 00:23 - Helmut Hummel

Revert "[BUGFIX] Session cookie is not recreated on login"

This reverts commit 76741dff7b967b88aa1d6e556500a77716c7a97a
(https://review.typo3.org/29626)

This change is not needed any more as the fix done
for #58713 also fixes the issues targeted with this fix.

This should be reverted not only because it is not needed
any more but especially because it "abuses" the property
->newSessionID which should only be set when really
a new ID has been generated and not to force the cookie
to be set again.

Releases: 6.2
Resolves: #59614
Reverts: #57751
Related: #58713
Change-Id: I5324769b0795bcc1b1f1e385c73fd085d7b3f571
Reviewed-on: https://review.typo3.org/30753
Reviewed-by: Markus Klein
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2014-06-16 17:09 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/30753

#2 - 2014-06-17 00:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:df11f015ffc7f6f8fe70bc2b14ef260032c8b61e.
